#!/usr/bin/env python
# -*- coding:utf-8 -*-
# @FileName  :scatter.py
# @Time      :2025/3/18 10:04
# @Author    :David
# @Company: shenyang JY
import pandas as pd
import matplotlib.pyplot as plt
# 设置中文显示
plt.rcParams['font.sans-serif'] = ['SimHei']
plt.rcParams['axes.unicode_minus'] = False



if __name__ == "__main__":
    tower = pd.read_csv('../data/399/tower-1-process.csv')
    power = pd.read_csv('../data/399/power.csv')
    union = pd.merge(tower, power, on='C_TIME')
    plt.figure(figsize=(8, 6))  # 设置画布大小
    plt.scatter(
        x=union['C_WS_INST_HUB_HEIGHT'],  # X轴数据
        y=union['C_REAL_VALUE'],  # Y轴数据
        c='blue',  # 点颜色
        alpha=0.6,  # 透明度（0-1）
        edgecolors='w'  # 点边缘颜色
    )

    # 添加图表元素
    plt.title('井岗一轮毂高度风速-出力散点图')  # 标题
    plt.xlabel('轮毂风速')  # X轴标签
    plt.ylabel('实际功率')  # Y轴标签
    plt.grid(True, linestyle='--', alpha=0.5)  # 显示网格线
    plt.show()